cdac.medinfo.sdk.hl7282.utils

## Interface IDataTypeMap

- All Known Implementing Classes:
    DataTypeMap

      public interface IDataTypeMap

  DataTypeMap represents structure of a DataType as per defined in HL7 standard. It includes index for Component item sequence defined in DataType structure. Index for Component Item starts with 1.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addComponentItem(IComponentItem objComponentItem)` Adds ComponentItem to IDataTypeMap at current available index.
    `void` | `addComponentItem(IComponentItem objComponentItem, int index, EnumMapModifyMode enumModifyMode)` Adds ComponentItem to IDataTypeMap at given index position according to the modification mode.
    `IDataTypeMap` | `clone()` Retrieves a clone of IDataTypeMap
    `IComponentItem` | `getComponentItem(int iSequenceNo)` Retrieves Component structure in terms of ComponentItem from specified sequence.
    `java.lang.String` | `getDataTypeName(int iSequenceNo)` Retrieves the Data Type name of an Item specified by HL7 Standard for the specified Item.
    `java.lang.String` | `getFieldName(int iSequenceNo)` Retrieves the Field name of an Item specified by HL7 Standard for the specified Item.
    `java.lang.String` | `getItemConformanceLength(int iSequenceNo)` Retrieves the Conformance Length of an Item specified by HL7 Standard for the specified Item.
    `int` | `getItemMaximumLength(int iSequenceNo)` Retrieves the Maximum Length of an Item specified by HL7 Standard for the specified Item.
    `int` | `getItemMinimumLength(int iSequenceNo)` Retrieves the Minimum Length of an Item specified by HL7 Standard for the specified Item.
    `boolean` | `getLock()` Retrieves current status of lock for IDataTypeMap
    `ISingleCollection<java.lang.Integer>` | `getSequenceNumberList()` Retrieves the list of Item ID of all AttributeItems which are member of ISEgmentMap.
    `int[]` | `getValueTable(int iSequenceNo)` Retrieves the Table value specified by HL7 Standard for the specified Item ID.
    `boolean` | `isOptional(int iSequenceNo)` Retrieves the status indicating whether the specified Item ID is optional or not.
    `void` | `setLock(boolean bLock)` Sets lock on IDataTypeMap.
    `int` | `size()` Retrieves size of IDataTypeMap

- - ### Method Detail

    - #### getComponentItem

          IComponentItem getComponentItem(int iSequenceNo)

      Retrieves Component structure in terms of ComponentItem from specified sequence.
      Parameters:
        `iSequenceNo` - sequence value for Component.
      Returns:
        IComponentItem instance of ComponentItem

    - #### addComponentItem

          void addComponentItem(IComponentItem objComponentItem)

      Adds ComponentItem to IDataTypeMap at current available index.
      Parameters:
        `objComponentItem` - instance of Component Item

    - #### addComponentItem

          void addComponentItem(IComponentItem objComponentItem,
                              int index,
                              EnumMapModifyMode enumModifyMode)

      Adds ComponentItem to IDataTypeMap at given index position according to the modification mode.
      Parameters:
        `objComponentItem` - instance of Component Item
        `index` - sequence position
        `enumModifyMode` - enumerated value of modification mode

    - #### clone

          IDataTypeMap clone()

      Retrieves a clone of IDataTypeMap
      Returns:
        IDataTypeMap - instance of IDataTypeMap

    - #### setLock

          void setLock(boolean bLock)

      Sets lock on IDataTypeMap. If lock is set then new ComponentItem can not be added in SegmentMap
      Parameters:
        `bLock` - value of lock

    - #### getLock

          boolean getLock()

      Retrieves current status of lock for IDataTypeMap
      Returns:
        boolean - status of lock

    - #### size

          int size()

      Retrieves size of IDataTypeMap
      Returns:
        int - total number of Component Items

    - #### getSequenceNumberList

          ISingleCollection<java.lang.Integer> getSequenceNumberList()

      Retrieves the list of Item ID of all AttributeItems which are member of ISEgmentMap.
      Returns:
        ISingleCollection - return collection of Item ID.

    - #### getValueTable

          int[] getValueTable(int iSequenceNo)

      Retrieves the Table value specified by HL7 Standard for the specified Item ID.
      Parameters:
        `iSequenceNo` - Integer value of Sequence number.
      Returns:
        int[] - return array of Table value for specified Item ID.

    - #### getItemMinimumLength

          int getItemMinimumLength(int iSequenceNo)

      Retrieves the Minimum Length of an Item specified by HL7 Standard for the specified Item.
      Parameters:
        `iItemID` - Integer value of Sequence number.
      Returns:
        int - return Minimum Length value for specified Item ID.

    - #### getItemMaximumLength

          int getItemMaximumLength(int iSequenceNo)

      Retrieves the Maximum Length of an Item specified by HL7 Standard for the specified Item.
      Parameters:
        `iItemID` - Integer value of Sequence number.
      Returns:
        int - return Maximum Length value for specified Item ID.

    - #### getItemConformanceLength

          java.lang.String getItemConformanceLength(int iSequenceNo)

      Retrieves the Conformance Length of an Item specified by HL7 Standard for the specified Item.
      Parameters:
        `iItemID` - Integer value of Sequence number.
      Returns:
        String - return Conformance Length value for specified Item ID.

    - #### getDataTypeName

          java.lang.String getDataTypeName(int iSequenceNo)

      Retrieves the Data Type name of an Item specified by HL7 Standard for the specified Item.
      Parameters:
        `iSequenceNo` - Integer value of Sequence number.
      Returns:
        String - return Data type name for specified Item ID.

    - #### isOptional

          boolean isOptional(int iSequenceNo)

      Retrieves the status indicating whether the specified Item ID is optional or not.
      Parameters:
        `iSequenceNo` - Integer value of Sequence number.
      Returns:
        boolean - the status indicating whether the specified Item ID is optional or not.

    - #### getFieldName

          java.lang.String getFieldName(int iSequenceNo)

      Retrieves the Field name of an Item specified by HL7 Standard for the specified Item.
      Parameters:
        `iSequenceNo` - Integer value of Sequence number.
      Returns:
        String - return Field name for specified Item ID.